// Write your styles here
@mixin textHighlight{
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 251px;
    height: 60px;
    background-color: $highlightColor;
    z-index: -1;
}
@mixin button{
    width: 142px;
    height: 47px;
    border: none;
    border-radius: 4px;
    background-color: $btnColor;
    color: $whiteColor;
    font-size: 15px;
    font-weight: map-get($font-weights, "bold");
    cursor: pointer;
}
@mixin container{
    width: 1200px;
    margin: 0 auto;
}
@mixin logo{
    img{
        width: 40px;
        margin-right: 20px;
    }
    p{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        font-weight: map-get($font-weights, "bold");
        font-size: 20px;
        text-transform: uppercase;
        span{
            
            font-weight: 400;
            text-transform: none;
            font-size: 10px;
        }
    }
}
*{
    margin: 0;
    padding: 0;
    font-family: $mainFont;
}
body{
    background-color: $bodyColor;
}
.header{
    min-height: 650px;
    // margin: -20px;
    padding-top: 20px;
    background: $imgBg;
    background-position: left;
    border-bottom-right-radius: 38%;

    &-wrap{
        @include container;
        
    }
    &_heading{
        position: relative;
        font-size: 58px;
        line-height: 67px;
        width: 450px;
        font-weight: map-get($font-weights, "bold");
        margin-top: 60px;
        z-index: 2;
        color: $textColor;
        font-family: $titleFont;
        &::after{
            @include textHighlight;
        }
    }
    &_text{
        margin-top: 50px;
        width: 57%;
        font-size: 17px;
        line-height: 25px;
        color: $textColor;
        white-space: pre-line;
    }
    div:nth-child(4){
        width: 490px;
        margin-top: 50px;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    &_button{
        @include button;
        font-family: $titleFont;
    }
    .login{
        color: $whiteColor;
        font-size: 15px;
        font-weight: map-get($font-weights, "bold");
        font-family: $titleFont;
    }
    .landing-logo{
        color: $logoColor;
        width: 180px;
        display: flex;
        @include logo;
        
    }

}
.section{
    position: relative;
    padding-top: 50px;
    padding-bottom: 150px;
    &_text{
        position: relative;
        text-align: center;
        font-size: 40px;
        font-weight: map-get($font-weights, "bold");
        color: $textColor;
        font-family: $titleFont;
        &::after{
            @include textHighlight;
            left: 50%;
            transform: translateX(10px);
            width: 187px;
        }
    }
    &_card_wrap{
        @include container;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    &_card{
        display: flex;
        width: 1115px;
        margin: 25px auto 0;
        padding: 20px;
        border-radius: 4px;
        background-color: $cardsColor;
        &_img{
            width: 430px;
            height: 290px;
            margin-right: 80px;
            border-radius: 4px;
        }
        &_right_container{
            display: flex;
            flex-direction: column;
            padding-top: 37px;
        }
        &_heading{
            font-size: 25px;
            text-align: center;
            color: $whiteColor;
        }
        &_text{
            width: 475px;
            margin-top: 40px;
            font-size: 17px;
            line-height: 30px;
            color: $linkColor;
        }
    }
    &_link{
        font-size: 17px;
        margin-top: 20px;
        color: $linkColor;
        text-align: center;
        font-family: $titleFont;
    }
    &_banner{
        @extend .header-wrap;
        height: 140px;
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        bottom: -70px;
        background: $gradient;
        display: flex;
        border-radius: 4px;
        &_text_wrap{
            padding: 20px 160px;
        }
        &_heading{
            position: relative;
            font-size: 30px;
            color: $textColor;
            font-weight: map-get($font-weights, "bold");
            font-family: $titleFont;
            &::after{
                @include textHighlight;
                left: 120px;
                width: 66px;
                height: 40px;
            }
        }
        &_text{
            margin-top: 20px;
            color: $linkColor;
            font-size: 17px;
        }
        &_button{
            @include button;
            position: absolute;
            top: 40px;
            right: 160px;
            font-family: $titleFont;
        }
    }
}
.footer{
    height: 240px;
    background-color: $cardsColor;
    &-wrap{
        max-width: 1540px;
        padding: 130px 15px 0;
        margin: auto ;
        display: flex;
        justify-content: space-between;
    }
    &_logo{
        @include logo;
        display: flex;
        color: $whiteColor;
        img{
            height: 40px;
            margin-top: 10px;
        }
    }
    &_text{
        width: 325px;
        color: $linkColor;
    }
    &-cr{
        color: $linkColor;
    }
}